<!-- Copyright 2019 The Chromium Authors. All rights reserved.
     Use of this source code is governed by a BSD-style license that can be
     found in the LICENSE file. -->

<link rel="import" href="chrome://resources/cr_elements/icons.html">
<link rel="import" href="chrome://resources/html/i18n_behavior.html">

<link rel="import" href="chrome://oobe/custom_elements.html">

<link rel="import" href="/components/oobe_i18n_behavior.html">
<link rel="import" href="/components/oobe_dialog.html">

<dom-module id="kiosk-enable-element">
  <template>
    <style include="oobe-dialog-host"></style>

    <oobe-dialog id="dialog" role="dialog"
        title-key="kioskEnableWarningText"
        aria-label$="[[i18nDynamic(locale, 'kioskEnableWarningText')]]"
        has-buttons footer-shrinkable>
      <div slot="subtitle">
        <span hidden="[[!eq_(state_, 'confirm')]]">
          [[i18nDynamic(locale,'kioskEnableWarningDetails')]]
        </span>
        <span hidden="[[!eq_(state_, 'success')]]">
          [[i18nDynamic(locale,'kioskEnableSuccessMsg')]]
        </span>
        <span hidden="[[!eq_(state_, 'error')]]">
          [[i18nDynamic(locale,'kioskEnableErrorMsg')]]
        </span>
      </div>
      <div slot="footer" class="flex layout center-justified vertical">
        <img src="chrome://theme/IDR_RESET_WARNING" class="oobe-illustration">
      </div>
      <div slot="bottom-buttons" class="flex layout horizontal end-justified">
        <oobe-text-button id="enable" hidden="[[!eq_(state_, 'confirm')]]"
            inverse on-click="onEnableButton_" text-key="kioskEnableButton">
        </oobe-text-button>
        <oobe-text-button id="close" class="focus-on-show" inverse
            text-key="[[primaryButtonTextKey_(state_)]]"
            on-click="closeDialog_"></oobe-text-button>
      </div>
    </oobe-dialog>
  </template>
</dom-module>
